import PlacesModel from '../../../common/model/placesModel';
import getPlacesRO from '../response-object/getPlacesRO';
import { GetPlacesResponse } from '../response-object/protocols';

const getPlacesRepo = async (httpHandler: () => Promise<GetPlacesResponse>) => {
  // call httpHandler
  const placesResponse = await httpHandler();
  // user response object to turn it to the data that we want
  const placesData = getPlacesRO(placesResponse);
  // make model
  const placesModel = new PlacesModel(placesData);
  // return the model
  return placesModel;
};

export default getPlacesRepo;
