import IGetUsersRepo from '../data/repository/IGetUserRepo';
import getUsersRepo from '../data/repository/getUserRepo';
import GettingUsersUsecase from '../usecase/getUsersUsecase';
import { IgetusersInfra, getusersReturnType } from './protocols';

const getUsers = ({ httpHandler }: IgetusersInfra): getusersReturnType => {
  // get httpHandler
  const repository: IGetUsersRepo = () => getUsersRepo(httpHandler);
  // connet usecase and repository
  const usecase = new GettingUsersUsecase(repository);
  // return method to use
  return () => usecase.execute();
};

export default getUsers;
