import React from 'react';
import RowItem from './table-row-item/view/RowItem';
import { ITableRowProps } from './protocols';

export default function TableRowView(props: ITableRowProps) {
  const { isSelected, setSelectedRowId, rowData } = props;
  const { rowId, rowItemsTitle } = rowData;
  const columns = rowItemsTitle.map((rowItemTitle, index) => {
    return (
      <RowItem
        key={rowItemTitle}
        hasCheckbox={index === 0}
        isSelected={isSelected}
        title={rowItemTitle}
      />
    );
  });

  return <tr onClick={() => setSelectedRowId(rowId)}>{columns}</tr>;
}
