import React from 'react';

interface IRowItemProp {
  title: string | null;
  hasCheckbox: boolean;
  isSelected: boolean;
}

export default function RowItem(props: IRowItemProp) {
  const { title, hasCheckbox, isSelected } = props;
  return (
    <td className={`px-1 py-2 ${isSelected ? 'bg-primary-100' : ''}`}>
      <div className='w-full flex'>
        {hasCheckbox && (
          <span
            className={`checkmak-container flex justify-center items-center mr-2 transition-all ${
              isSelected ? 'opacity-100' : 'opacity-0'
            }`}
          >
            <span
              className={`${isSelected ? 'visible' : 'hidden'} transition-all`}
            >
              &#10003;
            </span>
          </span>
        )}
        {title}
      </div>
    </td>
  );
}
